Issue when trying to upgrade cPanel from an old version !

It would be a difficult job to upgrade cPanel from versions 11.30.x to the latest ones trending now. Under usual circumstances, upgrading cPanel can be as easy as running the script :

# scripts/upcp

However, if your box is running an old version of cPanel, you might need to carry this upgrade incrementally.

For example, if your current cPanel version is 11.30 and if you need to upgrade this,  manually change the “CPANEL=release/current” line within /etc/cpupdate.conf to “CPANEL=11.32” and then run a cPanel update.

Once this is done, edit the line CPANEL to 11.36 and then go ahead with the upgrade using the script # /scripts/upcp

Note : Recently i had to upgrade a cPanel box from 11.1.0 and when trying to follow the above steps, I got the error which stated like , cant fetch the current version from /usr/local/cpanel/version file, correct it and re-run the update. On checking the file, could see that the version was set as “11.4.19-RELEASE_14379”. I went through WHM and could see WHM – 11.1.0 and cPanel as 11.4.19. Manually edited /usr/local/cpanel/version file and corrected it as 11.1.0 and re-ran the upgrade script. ! Hurray, it worked 🙂